%define	upstream_name    Digest-MD2
%define	upstream_version 2.03

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 5

Summary:	Perl interface to the MD2 Algorithm	
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/authors/id/GAAS/%{upstream_name}-%{upstream_version}.tar.bz2

BuildRequires:	perl-devel

Provides:	perl-MD2
Requires:	perl

%description
Digest-MD2 module for perl.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make OPTIMIZE="$RPM_OPT_FLAGS"

%check
%__make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README Changes
%{_mandir}/*/*
%{perl_vendorarch}/Digest
%{perl_vendorarch}/auto


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 2.30.0-5.mga3
+ Revision: 365923
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 2.30.0-4.mga3
+ Revision: 250565
- rebuild for perl 5.16

* Sat Jun 11 2011 sander85 <sander85> 2.30.0-3.mga2
+ Revision: 104211
- perl 5.14

* Fri Jan 21 2011 jquelin <jquelin> 2.30.0-2.mga1
+ Revision: 30154
- mageia rebuild
- imported package perl-Digest-MD2

